## FolksStructuredName

FolksStructuredName — Structured name representation for human names.

## Types and Values

#define | FOLKS_TYPE_STRUCTURED_NAME
struct | FolksStructuredName
struct | FolksStructuredNameClass
| FolksNameDetails
struct | FolksNameDetailsIface

## Description

Represents a full name split in its constituent parts (given name, family name, etc.). This structure corresponds to the "N" field in vCards. The parts of the name are never `null`: an empty string indicates that a property is not set.

## Functions

## Types and Values

### FOLKS_TYPE_STRUCTURED_NAME

    #define FOLKS_TYPE_STRUCTURED_NAME (folks_structured_name_get_type ())

The type for FolksStructuredName.

### struct FolksStructuredName

    struct FolksStructuredName {
    	GObject parent_instance;
    	FolksStructuredNamePrivate * priv;
    };

Structured name representation for human names.

Represents a full name split in its constituent parts (given name, family name, etc.). This structure corresponds to the "N" field in vCards. The parts of the name are never `null`: an empty string indicates that a property is not set.

Since: 0.3.5

### struct FolksStructuredNameClass

    struct FolksStructuredNameClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_STRUCTURED_NAME`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksNameDetails

    typedef struct _FolksNameDetails FolksNameDetails;

Interface for classes which represent contacts with names, such as FolksPersona and FolksIndividual.

Since: 0.3.5

### struct FolksNameDetailsIface

    struct FolksNameDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_structured_name) (FolksNameDetails* self, FolksStructuredName* name, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_structured_name_finish) (FolksNameDetails* self, GAsyncResult* _res_, GError** error);
    	void (*change_full_name) (FolksNameDetails* self, const gchar* full_name, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_full_name_finish) (FolksNameDetails* self, GAsyncResult* _res_, GError** error);
    	void (*change_nickname) (FolksNameDetails* self, const gchar* nickname, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_nickname_finish) (FolksNameDetails* self, GAsyncResult* _res_, GError** error);
    	FolksStructuredName* (*get_structured_name) (FolksNameDetails* self);
    	void (*set_structured_name) (FolksNameDetails* self, FolksStructuredName* value);
    	const gchar* (*get_full_name) (FolksNameDetails* self);
    	void (*set_full_name) (FolksNameDetails* self, const gchar* value);
    	const gchar* (*get_nickname) (FolksNameDetails* self);
    	void (*set_nickname) (FolksNameDetails* self, const gchar* value);
    };

Interface for creating FolksNameDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_structured_name` () | virtual method called by ``folks_name_details_change_structured_name()`` |
`change_structured_name_finish` () | asynchronous finish function for `change_structured_name`, called by ``folks_name_details_change_structured_name()`` |
`change_full_name` () | virtual method called by ``folks_name_details_change_full_name()`` |
`change_full_name_finish` () | asynchronous finish function for `change_full_name`, called by ``folks_name_details_change_full_name()`` |
`change_nickname` () | virtual method called by ``folks_name_details_change_nickname()`` |
`change_nickname_finish` () | asynchronous finish function for `change_nickname`, called by ``folks_name_details_change_nickname()`` |
`get_structured_name` () | getter method for the abstract property "structured-name" |
`set_structured_name` () | setter method for the abstract property "structured-name" |
`get_full_name` () | getter method for the abstract property "full-name" |
`set_full_name` () | setter method for the abstract property "full-name" |
`get_nickname` () | getter method for the abstract property "nickname" |
`set_nickname` () | setter method for the abstract property "nickname" |